%global pypi_name semantic_version

Name:           python-%{pypi_name}
Version:        2.10.0
Release:        %mkrel 1
Summary:        Library implementing the 'SemVer' scheme
Group:          Development/Python
License:        BSD
URL:            https://github.com/rbarrois/python-semanticversion
Source0:        https://github.com/rbarrois/python-semanticversion/archive/%{version}/%{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

%global _description \
This small python library provides a few tools to handle semantic versioning\
in Python.

%description %{_description}

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-django
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{_description}

Python 3 version.

%package doc
Summary:        Documentation for python-%{pypi_name}
BuildRequires:  python3-sphinx

%description doc
%{summary}.

%prep
%setup -qn semantic_version-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# documentation builds due to broken symlink
# https://github.com/rbarrois/python-semanticversion/issues/20
rm docs/credits.rst

%build
%py3_build

# generate html docs
sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
# Seems like it's just stuck in koji

#{__python3} setup.py test

%files -n python3-%{pypi_name}
%doc README.rst ChangeLog LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-*.egg-info/

%files doc
%doc html

%changelog
* Tue Aug 23 2022 TerryN <terryn94 at gmail.com>  2.10.0-1pclos2022
- import for python 3.10
